Bug 198022 - editors/emacs-devel: add lldb support
Summary: editors/emacs-devel: add lldb support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-25 03:14 UTC by Pedro F. Giffuni
Modified: 2015-03-23 14:16 UTC (History)
0 users

See Also:


Attachments
Add lldb support patch (13.26 KB, patch)
2015-02-25 03:14 UTC, Pedro F. Giffuni
no flags Details | Diff
Updated editors/emacs-devel diff (18.59 KB, patch)
2015-03-09 16:56 UTC, Ashish SHUKLA
ashish: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2015-02-25 03:14:25 UTC
Created attachment 153496 [details]
Add lldb support patch

I was wondering how easy/difficult it would be to apply the lldb patch [1] to emacs and it was very easy.

FreeBSD is likely to adopt lldb so I think it may be a good idea to have it in the port.


[1]
http://lists.gnu.org/archive/html/emacs-devel/2015-02/msg00274.html
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-02-25 03:41:49 UTC
Fix Summary and assign.
Comment 2 Ashish SHUKLA freebsd_committer 2015-02-25 04:53:02 UTC
(In reply to Pedro F. Giffuni from comment #0)

> I was wondering how easy/difficult it would be to apply the lldb patch [1] to emacs and it was very easy.

Did you test it ? Does this work/merge with current emacs-devel snapshot ? If yes, then I can add an OPTION for it, and only apply diff on demand.

Also would you be willing to maintain the diff ?

Thanks!
Comment 3 Ashish SHUKLA freebsd_committer 2015-03-09 08:49:54 UTC
(In reply to Pedro F. Giffuni from comment #0)

>I was wondering how easy/difficult it would be to apply the lldb patch [1] to emacs and it was very easy.

> FreeBSD is likely to adopt lldb so I think it may be a good idea to have it in the port.

> [1] http://lists.gnu.org/archive/html/emacs-devel/2015-02/msg00274.html

Do you know where the diff lives in LLVM tree ?

Thanks!
Comment 4 Pedro F. Giffuni freebsd_committer 2015-03-09 15:23:14 UTC
(In reply to Ashish SHUKLA from comment #2)

To recap a little what we discussed privately ...
we discussed it would be convenient to have such support as
an option rather that the default.

(In reply to Ashish SHUKLA from comment #3)

Hello;

I got it from the emacs-devel list and I traced it back to this commit:
https://gitorious.org/lldb/lldb/commit/40e4dbf

It also appears in Apple's opensource website:
http://www.opensource.apple.com/source/lldb/lldb-76/utils/emacs/

(There's also a screenshot there)

I appears it might have been relocated in the lldb site but I
haven't found it yet.
Comment 5 Ashish SHUKLA freebsd_committer 2015-03-09 16:56:00 UTC
Created attachment 154092 [details]
Updated editors/emacs-devel diff

Hi,

Attached is the editors/emacs-devel update with the LLDB support diff integrated. I'll get it committed in a day or two, if you like to try it out, then feel free to.

Thanks
Ashish
Comment 6 Pedro F. Giffuni freebsd_committer 2015-03-09 22:56:41 UTC
Comment on attachment 153496 [details]
Add lldb support patch

I am trying it right away. Thanks!
Comment 7 Ashish SHUKLA freebsd_committer 2015-03-23 14:16:49 UTC
Committed in r381999[1].

Thanks!

[1] https://svnweb.freebsd.org/ports?view=revision&revision=381999